﻿@model PlataformaEducativa.Site.Models.People.PeopleCreateViewModel
@{
    ViewData["Title"] = "Create";
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
            <div class="header">
                <h2>Crear persona</h2>
            </div>
            <div class="body">
                <form method="post">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }
                    <label asp-for="Identity">@Html.DisplayNameFor(Model => Model.Identity)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Identity" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="Identity"></span>
                        </label>
                    </div>

                    <label asp-for="FirstName">@Html.DisplayNameFor(Model => Model.FirstName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="FirstName" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="FirstName"></span>
                        </label>
                    </div>

                    <label asp-for="SecondName">@Html.DisplayNameFor(Model => Model.SecondName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="SecondName" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="SecondName"></span>
                        </label>
                    </div>

                    <label asp-for="MiddleName">@Html.DisplayNameFor(Model => Model.MiddleName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="MiddleName" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="MiddleName"></span>
                        </label>
                    </div>

                    <label asp-for="LastName">@Html.DisplayNameFor(Model => Model.LastName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="LastName" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="LastName"></span>
                        </label>
                    </div>

                    <label asp-for="BirthDate">@Html.DisplayNameFor(Model => Model.BirthDate)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="BirthDate" class="form-control" type="date" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="BirthDate"></span>
                        </label>
                    </div>

                    <div class="form-group">
                        <label asp-for="EducationLevelId">@Html.DisplayNameFor(Model => Model.EducationLevelId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" id="EducationLevelId" title="@Html.DisplayNameFor(Model => Model.EducationLevels)" asp-for="EducationLevelId" data-live-search="true" asp-items="@(new SelectList(Model.EducationLevels,"Id","Level"))"></select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label asp-for="CivilStatusId">@Html.DisplayNameFor(Model => Model.CivilStatusId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" id="CivilStatusId" title="@Html.DisplayNameFor(Model => Model.CivilStatuses)" asp-for="CivilStatusId" data-live-search="true" asp-items="@(new SelectList(Model.CivilStatuses,"Id","Description"))"></select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label asp-for="SexTypeId">@Html.DisplayNameFor(Model => Model.SexTypeId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" id="SexTypeId" title="@Html.DisplayNameFor(Model => Model.SexTypes)" asp-for="SexTypeId" data-live-search="true" asp-items="@(new SelectList(Model.SexTypes,"Id","Value"))"></select>
                        </div>
                    </div>

                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">Guardar cambios</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">Crear persona</h4>
                                </div>
                                <div class="modal-body">
                                    ¿Desea crear la persona?
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="Guardar cambios" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Cancelar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
